VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | List of all members
MouseDownUpMoveEvent Struct Reference
Version 4.11

MouseDownUpMoveEvent. More...

Inheritance diagram for MouseDownUpMoveEvent:

## Public Member Functions
void | ignoreFollowUpMoveAndUpEvents (bool state)
bool | ignoreFollowUpMoveAndUpEvents ()

## Public Attributes
uint32_t | clickCount {0}
Public Attributes inherited from MouseEvent
MouseEventButtonState | buttonState
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed? If this is true, event dispatching is stopped.

## Static Public Attributes
static constexpr uint32_t | IgnoreFollowUpEvents = EventConsumeState::Last
static constexpr uint32_t | IgnoreFollowUpEventsMask = 1 << IgnoreFollowUpEvents

## Protected Member Functions
| MouseDownUpMoveEvent ()=default
| MouseDownUpMoveEvent (const CPoint &pos, MouseEventButtonState buttons, Modifiers mods={})

## Detailed Description

MouseDownUpMoveEvent.

## Constructor & Destructor Documentation

MouseDownUpMoveEvent | ( |  | ) |
| protected default

MouseDownUpMoveEvent | ( | const CPoint & | pos,
|  | MouseEventButtonState | buttons,
|  | Modifiers | mods = `{}`
| ) |  |
| inline protected

## Member Function Documentation

void ignoreFollowUpMoveAndUpEvents | ( | bool | state | ) |
| inline

bool ignoreFollowUpMoveAndUpEvents | ( |  | ) |
| inline

## Member Data Documentation

uint32_t clickCount {0}

constexpr uint32_t IgnoreFollowUpEvents = EventConsumeState::Last
| static

constexpr uint32_t IgnoreFollowUpEventsMask = 1 << IgnoreFollowUpEvents
| static

The documentation for this struct was generated from the following file:

- events.h